Page MenuHome

Hdri's and glossy shaders not functioning on intel hd 4600
Closed, ArchivedPublic

Description

System Information
Operating system: Windows-8.1-6.3.9600-SP0 64 Bits
Graphics card: Intel(R) HD Graphics 4600 Intel 4.3.0 - Build 10.18.14.5162

Blender Version
Broken: version: 2.91.0, branch: master, commit date: 2020-11-25 08:34, hash: rB0f45cab862b8

Short description of error
The hdri's on my system are not working at all. I am running on OpenGl 4.3 and meet all the other requirements for blender, but when I try to use an hdri or a glossy material the hdri or the glossy shader I want to use show completely black. When I use a hdri that I have downloaded from HdriHaven, the hdri shows up, but it gives no light to my material. When I use the hdriHaven hdri, the hdri sphere on the bottom left of the screen showing the hdri is completely black but the second sphere is white and shows light as I move around the scene. I have updated my intel drivers, my system bios, and also tried downloading blender on steam, nothing works. It is also not possible for me to use blender on Linux because of the fact I make roblox models and unfortunate roblox doesn't support lInux. I am not very familiar with code /scripts, so if anyone has a fix and could provide me detailed instructions it would literally save my life.

Exact steps for others to reproduce the error
[I Open Blender and go to the shaders tab, an hdri should show, but for me it doesn't. To attempt to fix this I go to the world settings, apply background on surface, and environment texture on color. The hdri screen shows completely purple with the first sphere being black and the second one being purple. After this I click the open button under color, go to my downloads, click the hdri that I have downloaded, and an hdri finally appears on my screen. An hdri shows but the first hdri sphere is black and the second one, white.]

Have a nice day, and thank you very much.

Event Timeline

Left something out of the instructions to replicate my issue. When you're in the shading window you need to click the drop-down next to the rendered mode button and enable scene world and scene lights.

Robert Guetzkow (rjg) changed the task status from Needs Triage to Needs Information from User.Dec 21 2020, 10:12 AM

Please open Blender's installation directory and double click on the blender_debug_gpu.cmd. This will start Blender in debug mode and create log files. Try to make Blender fail the HDRI / reflections again. Once it does, close Blender and the Windows Explorer should open and show you up to two files, a debug log and the system information. Add them to your bug report by clicking on the upload button as shown in the screenshot below or via drag and drop.

@Samuel Ola (GuapoSammie) Thank you for the files. Just to avoid any misunderstanding, since the driver versioning of Intel is a bit confusing, have you tried to install the latest driver from their website (download here). Based on the version number in your bug report and system info you still seem to be using an older version.

That's weird, I just ran a scan and it said all my drivers were up to date, and I'm running OpenGl 4.3. I'll download the driver that you linked me just to make sure.

If it doesn't work with the current graphics driver, then we have to check that next. Since the HD Graphics 4600 isn't included in the workaround, the patches wouldn't have fixed the issue for this particular GPU.

@ttrtty5 (ttrtty5) Thank you for linking the relevant commits.

Ok, I see the problem. I'm using the 15.36 version of my drivers, It won't allow me to download with 15.40 version because it is only for windows 10. The new driver only provides more security features, nothing I really care for.

@Samuel Ola (GuapoSammie) Does that 15.36 driver fix the problem for you?

It unfortunately does not.

I see that you're testing intel hd 4600. We're the Hdri's successful on your tests?

I'm fine with this problem for now as I am still learning blender, but will this be patched when 2.92 is officially released?

On Linux it works properly with Intel HD 4600. I don't see where you've read that the newer driver version would only "more security features"? Please install the most recent one and check if the problem persists, the issue is most likely caused by the graphics driver.

Should the newest driver not solve the problem, then open Blender's installation directory and double click on the blender_debug_gpu.cmd. This will start Blender in debug mode and create log files. Try to make Blender fails to render the reflections again. Once it does, close Blender. The Windows Explorer should open and show you up to two files, a debug log and the system information. Add them to your bug report by clicking on the upload button as shown in the screenshot below or via drag and drop.

Robert Guetzkow (rjg) closed this task as Archived.Jan 8 2021, 3:10 PM

No activity for more than a week. As per the tracker policy we assume the issue is gone and can be closed.

Thanks again for the report. If the problem persists please open a new report with the required information.